#include <iostream>

using namespace std;

int main()
{
    int n, p1,p2 ;
    cin >> n ;
    int niz1[n], niz2[n], pomocni[n] ;
    for(int i=0; i<n; i++){
        niz1[i]=0 ;
        niz2[i]=0 ;
        pomocni[i]=1 ;
    }
    for(int i=0; i<n; i++){
        cin >> p1 >> p2 ;
        niz1[p1-1]++ ;
        niz2[p2-1]++ ;
    }
/*
    for(int i=0; i<n; i++){
        cout << niz1[i] ;
    }
    cout << endl ;
    for(int i=0; i<n; i++){
        cout << niz2[i] ;
    }
    cout << endl ;
    for(int i=0; i<n; i++){
        cout << pomocni[i] ;
    }
    cout << endl ;*/


    int i=0, brojac=0 ;
    while(i<n){
        int k;
        int j=i+1 ;
        if(pomocni[i]>niz1[i]){
            k=pomocni[i]-niz1[i] ;
            pomocni[i+1]+=k ;
            pomocni[i]-=k ;
            brojac+=k ;
        }
        if(pomocni[i]<niz1[i]){
            k=niz1[i]-pomocni[i] ;
            while(pomocni[j]==0){
                j++ ;
            }
            brojac+=((j-i-1+k)*(j-i+k))/2 ;
            brojac-=((j-i-1)*(j-i))/2 ;
            for(int nesto=j; nesto<j+k; nesto++){
                pomocni[nesto]=0 ;
            }

       /*     cout << "i and j and k " << i << " " << j << " " << k << endl ;
            cout << ((j-i+k-1)*(j-i+k))/2 << " " << ((j-i-1)*(j-i))/2 << endl ;*/
        }
        i++;
      /*  for(int nesto=0; nesto<n; nesto++){
                cout << pomocni[nesto] ;

        }
        cout << endl ;
        cout << "aaaaa " << brojac << endl ;*/
    }
    //cout << brojac << endl ;
    for(int j=0; j<n; j++){
        pomocni[j]=1 ;
    }
    i=0 ;
    while(i<n){
        int k;
        int j=i+1 ;
        if(pomocni[i]>niz2[i]){
            k=pomocni[i]-niz2[i] ;
            pomocni[i+1]+=k ;
            pomocni[i]-=k ;
            brojac+=k ;
        }
        if(pomocni[i]<niz2[i]){
            k=niz2[i]-pomocni[i] ;
            while(pomocni[j]==0){
                j++ ;
            }
            brojac+=((j-i+k-1)*(j-i+k))/2 ;
            brojac-=((j-i-1)*(j-i))/2 ;
            for(int nesto=j; nesto<j+k; nesto++){
                pomocni[nesto]=0 ;
            }
        /*    for(int nesto=0; nesto<n; nesto++){
                cout << pomocni[nesto] ;

            }

            cout << endl ;
            cout << "i and j and k " << i << " " << j << " " << k << endl ;
            cout << ((j-i+k-1)*(j-i+k))/2 << " " << ((j-i-1)*(j-i))/2 << endl ;*/
        }
        i++;
    }

    cout << brojac ;

    return 0;
}